BAAIPaidOperational
BGE Reranker V2 M3
API model name: Pro/BAAI/bge-reranker-v2-m3
BGE Reranker V2 M3 is BAAI's reranking model, served on the Api.Airforce unified API. It is priced at $0.03 per million input tokens and $0.03 per million output tokens. Access it through the OpenAI-compatible API with one key, alongside 100+ other models on Api.Airforce.
Pricing
Specifications
- Provider
- BAAI
- Type
- reranking model
What is BGE Reranker V2 M3 used for?
- models.detail.useCases.rerank
Related models
BGE Reranker V2 M3BAAI · $0.01 / 1MGemini Pro LatestGoogle · $2.00 / 1MGemma 2 27B ITGoogle · $0.72 / 1MGemma 3 12B ITGoogle · $0.06 / 1MGemma 3 1B ITGoogle · $57.41 / 1MGemma 3 27B ITGoogle · $0.09 / 1MGemma 3 4B ITGoogle · $0.06 / 1MGemma 3n E2b ITGoogle · $57.41 / 1MGemma 4 31BGoogle · $0.14 / 1MGemma 4 31B ITGoogle · $0.22 / 1MGemma 3 270MGoogle · FreeGlimpseElorian · $0.66 / 1M
BGE Reranker V2 M3 — frequently asked questions
- How much does BGE Reranker V2 M3 cost?
- BGE Reranker V2 M3 is billed pay-as-you-go at $0.03 per 1M input tokens and $0.03 per 1M output tokens. There is no subscription — you only pay for what you use.
- What can BGE Reranker V2 M3 do?
- BGE Reranker V2 M3 is BAAI's reranking model, accessible through the Api.Airforce API.
- Is BGE Reranker V2 M3 free to use?
- BGE Reranker V2 M3 is a paid, pay-as-you-go model — no subscription, you are only charged for usage.
- How do I use BGE Reranker V2 M3 via the API?
- BGE Reranker V2 M3 is OpenAI-compatible. Point any OpenAI SDK at https://api.airforce/v1 and pass the model ID Pro/BAAI/bge-reranker-v2-m3 with your Api.Airforce API key.
- Who makes BGE Reranker V2 M3?
- BGE Reranker V2 M3 is BAAI's reranking model, served through the unified Api.Airforce gateway alongside 100+ other models.
Loading live metrics…
Loading live metrics…
Loading live metrics…
Use BGE Reranker V2 M3 via the API
OpenAI-compatible — point any OpenAI SDK at https://api.airforce/v1 and pass Pro/BAAI/bge-reranker-v2-m3 as the model.
cURL
curl https://api.airforce/v1/chat/completions \
-H "Authorization: Bearer $AIRFORCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "Pro/BAAI/bge-reranker-v2-m3",
"messages": [{ "role": "user", "content": "Hello!" }]
}'Python
from openai import OpenAI
client = OpenAI(base_url="https://api.airforce/v1", api_key="$AIRFORCE_API_KEY")
r = client.chat.completions.create(
model="Pro/BAAI/bge-reranker-v2-m3",
messages=[{"role": "user", "content": "Hello!"}],
)
print(r.choices[0].message.content)JavaScript
import OpenAI from "openai";
const client = new OpenAI({ baseURL: "https://api.airforce/v1", apiKey: process.env.AIRFORCE_API_KEY });
const r = await client.chat.completions.create({
model: "Pro/BAAI/bge-reranker-v2-m3",
messages: [{ role: "user", content: "Hello!" }],
});
console.log(r.choices[0].message.content);